Count Entitlement Selection Filter Attribute Values
curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{selection_analysis_id}/filter-attributes/{attribute}/value-counts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selection": {
"analysisId": "<string>",
"explicitlyExcluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"explicitlyIncluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"includeFacets": true,
"minimumCoverageBasisPoints": 123
},
"values": [
"<string>"
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{selection_analysis_id}/filter-attributes/{attribute}/value-counts"
payload = {
"selection": {
"analysisId": "<string>",
"explicitlyExcluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"explicitlyIncluded": [
{
"appId": "<string>",
"entitlementId": "<string>"
}
],
"includeFacets": True,
"minimumCoverageBasisPoints": 123
},
"values": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
selection: {
analysisId: '<string>',
explicitlyExcluded: [{appId: '<string>', entitlementId: '<string>'}],
explicitlyIncluded: [{appId: '<string>', entitlementId: '<string>'}],
includeFacets: true,
minimumCoverageBasisPoints: 123
},
values: ['<string>']
})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/role-mining/custom-analysis/{selection_analysis_id}/filter-attributes/{attribute}/value-counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cohortUserCount": 123,
"coreUserCount": 123,
"values": [
{
"cohortUserCount": 123,
"coreUserCount": 123,
"value": "<string>"
}
]
}Role Mining
Count Entitlement Selection Filter Attribute Values
CountEntitlementSelectionFilterAttributeValues returns exact cohort and selected-holder counts for one bounded page of custom attribute values.
POST
/
api
/
v1
/
role-mining
/
custom-analysis
/
{selection_analysis_id}
/
filter-attributes
/
{attribute}
/
value-counts
Count Entitlement Selection Filter Attribute Values
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Custom analysis whose cohort and entitlement results define the selection.
The attribute field.
Body
application/json
The CountEntitlementSelectionFilterAttributeValuesRequest message.
Response
200 - application/json
Successful response
Was this page helpful?